---

#! jobs/kernel-selftests-cgroup.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
oom-killer:
  ignored: 1
kernel-selftests:
  group: cgroup
kernel_cmdline: systemd.unified_cgroup_hierarchy=1
job_origin: kernel-selftests-cgroup.yaml
arch: x86_64

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! include/kernel-selftests
need_kernel_version:
need_kconfig:
- BLOCK: y
- BTRFS_FS: m
- EFI: y
- EFIVAR_FS
- FTRACE: y
- IP_ADVANCED_ROUTER: y
- IP_MULTIPLE_TABLES: y
- RC_CORE
- RC_DECODERS: y
- RC_DEVICES: y
- RC_LOOPBACK: m
- RUNTIME_TESTING_MENU: y
- STAGING: y
- SYNC_FILE: y
- TEST_FIRMWARE
- TEST_KMOD: m
- TEST_LKM: m
- TEST_USER_COPY
- TUN: m
- XFS_FS: m
- OVERLAY_FS
- PERF_EVENTS: y
- SCHED_DEBUG: y
- SHMEM: y
- TMPFS_XATTR: y
- TMPFS: y
- BLOCK: y
- BTRFS_FS: m
- EFI: y
- EFIVAR_FS
- FTRACE: y
- IP_ADVANCED_ROUTER: y
- IP_MULTIPLE_TABLES: y
- RC_CORE
- RC_DECODERS: y
- RC_DEVICES: y
- RC_LOOPBACK: m
- RUNTIME_TESTING_MENU: y
- STAGING: y
- SYNC_FILE: y
- TEST_FIRMWARE
- TEST_KMOD: m
- TEST_LKM: m
- TEST_USER_COPY
- TUN: m
- XFS_FS: m
- OVERLAY_FS
- PERF_EVENTS: y
- SCHED_DEBUG: y
- SHMEM: y
- TMPFS_XATTR: y
- TMPFS: y
initrds:
- linux_headers
- linux_selftests

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-cfl-e1
tbox_group: lkp-cfl-e1
branch: linux-next/master
commit: ab03125268679e058e1e7b6612f6d12610761769
job_file: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-cgroup-debian-12-x86_64-20240206.cgz-ab0312526867-20240809-89074-1d8x38h-0.yaml"
id: 9dcac8f8e4e4ca8ab1d82a82c5a3b897a6a80f0b
queuer_version: "/zday/lkp"

#! /db/releases/20240805205236/lkp-src/hosts/lkp-cfl-e1
model: Coffee Lake
nr_node: 1
nr_cpu: 16
memory: 32G
nr_hdd_partitions: 1
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part2"
swap_partitions: LABEL=SWAP
rootfs_partition: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part1"
brand: Intel(R) Xeon(R) E-2278G CPU @ 3.40GHz

#! /db/releases/20240805205236/lkp-src/include/category/functional

#! /db/releases/20240805205236/lkp-src/include/category/ALL

#! /db/releases/20240805205236/lkp-src/include/kernel-selftests

#! /db/releases/20240805205236/lkp-src/include/testbox/lkp-cfl-e1
ucode: '0xfa'
need_kconfig_hw:
- PTP_1588_CLOCK: y
- IGB: y
- SATA_AHCI
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-08-09 01:04:18.369000430 +08:00
compiler: gcc-12
_rt: "/result/kernel-selftests/cgroup/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240808-144501"
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/cgroup/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769/vmlinuz-6.11.0-rc1-00007-gab0312526867
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-cgroup-debian-12-x86_64-20240206.cgz-ab0312526867-20240809-89074-1d8x38h-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=ab03125268679e058e1e7b6612f6d12610761769
- systemd.unified_cgroup_hierarchy=1
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240508.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-977d51cf-1_20240508.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240805205236/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cfl-e1/kernel-selftests-cgroup-debian-12-x86_64-20240206.cgz-ab0312526867-20240809-89074-1d8x38h-0.cgz"
last_kernel: 6.11.0-rc2
acpi_rsdp: '0x000f0510'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769/vmlinuz-6.11.0-rc1-00007-gab0312526867"
result_root: "/result/kernel-selftests/cgroup/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/ab03125268679e058e1e7b6612f6d12610761769/0"

#! /db/releases/20240808172009/lkp-src/include/site/inn
dequeue_time: 2024-08-09 01:08:21.008086202 +08:00
job_state: finished
loadavg: 0.96 2.11 1.28 1/296 17548
start_time: '1723137035'
end_time: '1723137367'
version: "/lkp/lkp/.src-20240808-144501:e35bd1203041:826807ed2b16"
